<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="table">
    <div th:fragment="summary" id="summary">
      <table class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th class="center aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}"></th>
            <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
            <th class="right aligned two wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESPENT}}"></th>
            <th class="right aligned two wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCES}}"></th>
            <th class="right aligned two wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_COMPENSATIONDAYS}}"></th>
            <th class="right aligned two wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOLIDAYS}}"></th>
            <th class="right aligned two wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_VACATIONS}}"></th>
            <th class="center aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBMITTED}}"></th>
            <th class="center aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVIEWER}}"></th>
            <th class="center aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPROVER}}"></th>
            <th class="center aligned one wide"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="timesheet : ${timesheets}">
            <td class="center aligned"><span th:text="${timesheet.endingDay.fortnight == 1} ? '1ª' : '2ª' "></span></td>
            <td class="right aligned"><span th:text="${#aggregates.sum(timesheet.days.![hours])}"></span></td>
            <td class="right aligned"><span th:text="${#aggregates.sum(timesheet.days.![timeSpent])}"></span></td>
            <td class="right aligned"><span th:text="${#aggregates.sum(timesheet.days.![hoursAbsence])}"></span></td>
            <td class="right aligned"><span th:text="${#aggregates.sum(timesheet.days.![hoursCompensationDay])}"></span></td>
            <td class="right aligned"><span th:text="${#aggregates.sum(timesheet.days.![hoursHoliday])}"></span></td>
            <td class="right aligned"><span th:text="${#aggregates.sum(timesheet.days.![hoursVacation])}"></span></td>
            <td class="center aligned">
              <i class="green check circle outline icon" th:if="${timesheet.status.id >= T(pt.com.scrumify.database.entities.TimesheetStatus).SUBMITTED}"></i>
              <i class="times circle outline icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${timesheet.status.id == T(pt.com.scrumify.database.entities.TimesheetStatus).NOT_SUBMITTED}"></i>
            </td>
            <td class="center aligned">
              <th:block th:if="${timesheet.reviewed and timesheet.reviewedBy != null}">
                <th:block th:replace="common/fragments/elements :: avatar-mini(item = ${timesheet.reviewedBy}, size = 'mini')" />
              </th:block>
              <i class="times circle outline icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:unless="${timesheet.reviewed}"></i>
            </td>
            <td class="center aligned">
              <th:block th:if="${timesheet.approved and timesheet.approvedBy != null}">
                <th:block th:replace="common/fragments/elements :: avatar-mini(item = ${timesheet.approvedBy}, size = 'mini')" />
              </th:block>
              <i class="times circle outline icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:unless="${timesheet.approved}"></i>
            </td>
            <td class="center aligned">
              <i class="money check icon pointer" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${timesheet.status.id == T(pt.com.scrumify.database.entities.TimesheetStatus).NOT_SUBMITTED}" th:onclick="'preview(\'' + ${timesheet.id} + '\');'"></i>
              <i class="eye outline icon pointer" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:unless="${timesheet.status.id == T(pt.com.scrumify.database.entities.TimesheetStatus).NOT_SUBMITTED}" th:onclick="'preview(\'' + ${timesheet.id} + '\');'"></i>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </th:block>
</body>
</html>